<?php

namespace App\Repository;

use App\Entity\WebsiteEntity;
use Doctrine\Bundle\DoctrineBundle\Repository\ServiceEntityRepository;
use Doctrine\Common\Persistence\ManagerRegistry;

/**
 * @method WebsiteEntity|null find($id, $lockMode = null, $lockVersion = null)
 * @method WebsiteEntity|null findOneBy(array $criteria, array $orderBy = null)
 * @method WebsiteEntity[]    findAll()
 * @method WebsiteEntity[]    findBy(array $criteria, array $orderBy = null, $limit = null, $offset = null)
 */
class WebsiteEntityRepository extends ServiceEntityRepository
{
    public function __construct(ManagerRegistry $registry)
    {
        parent::__construct($registry, WebsiteEntity::class);
    }

    // /**
    //  * @return WebsiteEntity[] Returns an array of WebsiteEntity objects
    //  */
    /*
    public function findByExampleField($value)
    {
        return $this->createQueryBuilder('w')
            ->andWhere('w.exampleField = :val')
            ->setParameter('val', $value)
            ->orderBy('w.id', 'ASC')
            ->setMaxResults(10)
            ->getQuery()
            ->getResult()
        ;
    }
    */

    /*
    public function findOneBySomeField($value): ?WebsiteEntity
    {
        return $this->createQueryBuilder('w')
            ->andWhere('w.exampleField = :val')
            ->setParameter('val', $value)
            ->getQuery()
            ->getOneOrNullResult()
        ;
    }
    */
}
